Bug 1066701 - RFE: As a Zanata user, I would like to be able to bookmark language and project selections in the groups page.
Summary: RFE: As a Zanata user, I would like to be able to bookmark language and proje...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI   
(Show other bugs)
Version: unspecified
Hardware: Unspecified Unspecified
high
medium
Target Milestone: ---
: 3.4
Assignee: Carlos Munoz
QA Contact: Ding-Yi Chen
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-18 22:53 UTC by Carlos Munoz
Modified: 2014-07-17 06:39 UTC (History)
4 users (show)

Fixed In Version: git-c1c04a2aed32c60c9ca71e137bd177adf68222b3
Doc Type: Bug Fix
Doc Text:
Story Points: 3
Clone Of:
Environment:
Last Closed: 2014-07-17 06:39:31 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Carlos Munoz 2014-02-18 22:53:41 UTC
This story covers changing the browser url when there is a selection made on the Groups page so that it is bookmark-able.
- There urls should be consistent with the editor ones.

Comment 1 Carlos Munoz 2014-02-19 06:27:53 UTC
Secondary contact: aeng@redhat.com

Comment 2 Carlos Munoz 2014-03-16 23:36:21 UTC
Add bookmarks for the version group page. Manually typing (or pasting) the url in the browser's bar should change the selections on the page. Also, clicking on the different sections of the page should also change the browser's bar. History should also work (hitting the browser's back button).

Valid bookmarks are:
../version-group/view/<v_group_slug> => Takes you to the languages section by default
../version-group/view/<v_group_slug>/languages
../version-group/view/<v_group_slug>/projects
../version-group/view/<v_group_slug>/languages/<lang>
../version-group/view/<v_group_slug>/projects/<project_slug>[<versionSlug>]
../version-group/view/<v_group_slug>/maintainers
../version-group/view/<v_group_slug>/settings
../version-group/view/<v_group_slug>/settings/<setting>

See:
https://github.com/zanata/zanata-server/pull/397

Comment 5 Carlos Munoz 2014-03-18 04:28:39 UTC
I agree that /<project_slug>/<versionSlug> would be a better fit. Should've thought of that when I changed the hash. And it would get rid of the encoding issues in firefox. I'll make those changes.

Comment 6 Carlos Munoz 2014-03-18 05:08:28 UTC
See new commit in the same pull request as above. The new url for the project version should be of the form.
../version-group/view/<v_group_slug>/projects/<project_slug>/<version_slug>

Comment 9 Sean Flanigan 2014-03-21 00:07:09 UTC
Marking bug as RELEASE_PENDING (Fixed in Version commit is ancestor of origin/master).


Note You need to log in before you can comment on or make changes to this bug.